> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get branch automation checks



## OpenAPI

````yaml /openapi/customer-api.json get /ai/trigger/branch/checks
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /ai/trigger/branch/checks:
    get:
      tags:
        - Automations
      summary: >-
        Branch checks — every script-mode branch automation, with the verdict of
        its latest run on this branch
      operationId: AutomationTriggerController_listBranchChecks
      parameters:
        - in: query
          name: branch_id
          required: true
          schema:
            type: string
        - in: query
          name: project_id
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BranchChecksResponseDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    BranchChecksResponseDto:
      properties:
        checks:
          items:
            $ref: '#/components/schemas/BranchCheckItemDto'
          type: array
      required:
        - checks
      type: object
    BranchCheckItemDto:
      properties:
        automation_id:
          type: string
        error:
          nullable: true
          type: string
        name:
          type: string
        output:
          nullable: true
          type: string
        ran_at:
          nullable: true
          type: string
        run_id:
          nullable: true
          type: string
        status:
          enum:
            - passed
            - failed
            - stale
            - not_run
          type: string
      required:
        - automation_id
        - name
        - status
        - output
        - error
        - run_id
        - ran_at
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````